# Generated from rails_best_practices-1.13.8.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name rails_best_practices
%global rubyabi 1.9.1

Summary: a code metric tool for rails codes
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.13.8
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://rails-bestpractices.com
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) >= 1.3.6
Requires: %{?scl_prefix}ruby >= 1.9.0
Requires: %{?scl_prefix}rubygem(code_analyzer) 
Requires: %{?scl_prefix}rubygem(ruby-progressbar) 
Requires: %{?scl_prefix}rubygem(colored) 
Requires: %{?scl_prefix}rubygem(erubis) 
Requires: %{?scl_prefix}rubygem(i18n) 
Requires: %{?scl_prefix}rubygem(activesupport) 
Requires: %{?scl_prefix}rubygem(awesome_print) 
BuildRequires: %{?scl_prefix}rubygems-devel >= 1.3.6
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
a code metric tool for rails codes, written in Ruby.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x


%files
%dir %{gem_instdir}
%{_bindir}/rails_best_practices
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/.*
%{gem_instdir}/MIT_LICENSE

%files doc
%doc %{gem_docdir}

%doc %{gem_instdir}/Gemfile
%doc %{gem_instdir}/Guardfile
%doc %{gem_instdir}/MIT_LICENSE
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/assets
%doc %{gem_instdir}/install_supported_rubies.sh
%doc %{gem_instdir}/rails_best_practices.gemspec
%doc %{gem_instdir}/rails_best_practices.yml
%doc %{gem_instdir}/rake_rubies.sh
%doc %{gem_instdir}/spec

%changelog
* Mon Jul 29 2013 Steve Linabery <slinaber@redhat.com> - 1.13.8-1
- Initial package
